Bug 868988 - rhevm-installation: during upgrade I can see the db password in the install log
rhevm-installation: during upgrade I can see the db password in the install log
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.0.7
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Kiril Nesenko
Tareq Alayan
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 12:39 EDT by Dafna Ron
Modified: 2014-07-10 20:09 EDT (History)
8 users (show)

See Also:
Fixed In Version: si23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upgrade log (23.88 KB, application/x-xz)
2012-10-22 12:39 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-10-22 12:39:43 EDT
Created attachment 631633 [details]
upgrade log

Description of problem:

when we run command: 

2012-10-22 18:00:36::DEBUG::common_utils::302::root:: Executing command --> '/usr/bin/psql -U postgres -c ALTER ROLE engine WITH ENCRYPTED PASSWORD '<MYPASSWORD>'

the log shows the db password in clear text. 

Version-Release number of selected component (if applicable):

3.0 -> si21.1

How reproducible:

100%

Steps to Reproduce:
1. upgrade 3.0 setup to si21.1
2.
3.
  
Actual results:

'/usr/bin/psql -U postgres -c ALTER ROLE engine WITH ENCRYPTED PASSWORD shows db password in clear test

Expected results:

password should be hidden

Additional info: full log
Comment 3 Tareq Alayan 2012-11-11 07:09:04 EST
verified: in upgrade log we cannot see password on plain text: 

2012-11-07 18:23:55::DEBUG::common_utils::342::root:: retcode = 0
2012-11-07 18:23:55::DEBUG::common_utils::302::root:: Executing command --> '/usr/bin/psql -U ******** -c ALTER ROLE engine WITH ENCRYPTED PASSWORD '********';'
2012-11-07 18:23:55::DEBUG::common_utils::340::root:: output = ALTER ROLE

Note You need to log in before you can comment on or make changes to this bug.